#include<bits/extc++.h>
using namespace std;
int n;
int main()
{
    cin>>n;
    int h[n], h2[n];
    long long br=0;
    for(int i=0; i<n; i++)
    {
        cin>>h[i];
    }


    for(int c=0; c<n; c++)
    {
        if(h[c-1]<h[c]&&h[c+1]<h[c])
        {
            h2[c]=10;
        }
        if(h[c-1]>h[c]&&h[c+1]>h[c])
        {
            h2[c]=10;
        }
    }


    for(int i=0; i<n-1; i++)
    {
        bool b=false;
        for(int j=i+1; j<n; j++)
        {
            for(int c=i+1; c<j; c++)
            {
                if(h2[c]==10)
                {
                    b=true;
                    break;
                }
            }
            if(b)
            {
                break;
            }
            else
            {
                br++;
            }
        }
    }
    cout<<br*2;
    return 0;
}
